public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] proj/hardened-dev:master commit in: sys-devel/gcc/
@ 2012-01-17 18:05 Magnus Granberg
  0 siblings, 0 replies; 23+ messages in thread
From: Magnus Granberg @ 2012-01-17 18:05 UTC (permalink / raw
  To: gentoo-commits

commit:     8978819d92a7b39d05ee6d09435ccc35295e52b0
Author:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 17 18:04:41 2012 +0000
Commit:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
CommitDate: Tue Jan 17 18:04:41 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/hardened-dev.git;a=commit;h=8978819d

sys-devel/gcc/gcc-4.7.0 20120114 hardened

---
 sys-devel/gcc/gcc-4.7.0_alpha20120114.ebuild |   58 ++++++++++++++++++++++++++
 1 files changed, 58 insertions(+), 0 deletions(-)

diff --git a/sys-devel/gcc/gcc-4.7.0_alpha20120114.ebuild b/sys-devel/gcc/gcc-4.7.0_alpha20120114.ebuild
new file mode 100644
index 0000000..147e186
--- /dev/null
+++ b/sys-devel/gcc/gcc-4.7.0_alpha20120114.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-4.7.0.ebuild,v 1.0 2012/01/17 19:02:25 zorry Exp $
+
+PATCH_VER="1.0"
+#UCLIBC_VER="1.0"
+
+# Hardened gcc 4 stuff
+PIE_VER="0.5.1"
+SPECS_VER="0.2.0"
+SPECS_GCC_VER="4.4.3"
+# arch/libc configurations known to be stable with {PIE,SSP}-by-default
+PIE_GLIBC_STABLE="x86 amd64 ppc ppc64 arm ia64"
+PIE_UCLIBC_STABLE="x86 arm amd64 ppc ppc64"
+SSP_STABLE="amd64 x86 ppc ppc64 arm"
+# uclibc need tls and nptl support for SSP support
+SSP_UCLIBC_STABLE=""
+#end Hardened stuff
+
+inherit toolchain
+
+DESCRIPTION="The GNU Compiler Collection"
+
+LICENSE="GPL-3 LGPL-3 || ( GPL-3 libgcc libstdc++ gcc-runtime-library-exception-3.1 ) FDL-1.2"
+KEYWORDS=""
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+	elibc_glibc? ( >=sys-libs/glibc-2.12 )
+	amd64? ( multilib? ( gcj? ( app-emulation/emul-linux-x86-xlibs ) ) )
+	>=${CATEGORY}/binutils-2.18"
+PDEPEND="go? ( >=sys-devel/gcc-config-1.5 )"
+
+if [[ ${CATEGORY} != cross-* ]] ; then
+	PDEPEND="${PDEPEND} elibc_glibc? ( >=sys-libs/glibc-2.12 )"
+fi
+
+src_unpack() {
+	if has_version '<sys-libs/glibc-2.12' ; then
+		ewarn "Your host glibc is too old"
+		die 
+	fi
+	ewarn "This gcc version is for testing so NO BUGS REPORTS!"
+	toolchain_src_unpack
+
+	use vanilla && return 0
+
+	[[ ${CHOST} == ${CTARGET} ]] && epatch "${FILESDIR}"/gcc-spec-env.patch
+}
+
+pkg_setup() {
+	toolchain_pkg_setup
+
+	ewarn
+	ewarn "LTO support is still experimental and unstable."
+	ewarn "Any bugs resulting from the use of LTO will not be fixed."
+	ewarn
+}



^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] proj/hardened-dev:master commit in: sys-devel/gcc/
@ 2016-08-24 14:32 Magnus Granberg
  0 siblings, 0 replies; 23+ messages in thread
From: Magnus Granberg @ 2016-08-24 14:32 UTC (permalink / raw
  To: gentoo-commits

commit:     7f1d2114e0baf903ee7ad9810ebe3c41ca442246
Author:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 24 14:32:22 2016 +0000
Commit:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
CommitDate: Wed Aug 24 14:32:22 2016 +0000
URL:        https://gitweb.gentoo.org/proj/hardened-dev.git/commit/?id=7f1d2114

Fix Manifest for gcc 6.2.0

 sys-devel/gcc/gcc-6.1.0.ebuild | 39 ---------------------------------------
 sys-devel/gcc/gcc-6.2.0.ebuild | 13 -------------
 2 files changed, 52 deletions(-)

diff --git a/sys-devel/gcc/gcc-6.1.0.ebuild b/sys-devel/gcc/gcc-6.1.0.ebuild
deleted file mode 100644
index 062641d..0000000
--- a/sys-devel/gcc/gcc-6.1.0.ebuild
+++ /dev/null
@@ -1,39 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI="4"
-
-PATCH_VER="1.1"
-#UCLIBC_VER="1.0"
-
-# Hardened gcc 4 stuff
-#PIE_VER="0.6.5"
-#SPECS_VER="0.2.0"
-#SPECS_GCC_VER="4.4.3"
-# arch/libc configurations known to be stable with {PIE,SSP}-by-default
-#PIE_GLIBC_STABLE="x86 amd64 mips ppc ppc64 arm ia64"
-#PIE_UCLIBC_STABLE="x86 arm amd64 mips ppc ppc64"
-#SSP_STABLE="amd64 x86 mips ppc ppc64 arm"
-# uclibc need tls and nptl support for SSP support
-# uclibc need to be >= 0.9.33
-#SSP_UCLIBC_STABLE="x86 amd64 mips ppc ppc64 arm"
-#end Hardened stuff
-
-inherit toolchain
-
-KEYWORDS=""
-
-RDEPEND=""
-DEPEND="${RDEPEND}
-	elibc_glibc? ( >=sys-libs/glibc-2.8 )
-	>=${CATEGORY}/binutils-2.20"
-
-if [[ ${CATEGORY} != cross-* ]] ; then
-	PDEPEND="${PDEPEND} elibc_glibc? ( >=sys-libs/glibc-2.8 )"
-fi
-
-src_prepare() {
-
-	toolchain_src_prepare
-}

diff --git a/sys-devel/gcc/gcc-6.2.0.ebuild b/sys-devel/gcc/gcc-6.2.0.ebuild
index b425590..67cbb30 100644
--- a/sys-devel/gcc/gcc-6.2.0.ebuild
+++ b/sys-devel/gcc/gcc-6.2.0.ebuild
@@ -7,19 +7,6 @@ EAPI="4"
 PATCH_VER="1.0"
 #UCLIBC_VER="1.0"
 
-# Hardened gcc 4 stuff
-#PIE_VER="0.6.5"
-#SPECS_VER="0.2.0"
-#SPECS_GCC_VER="4.4.3"
-# arch/libc configurations known to be stable with {PIE,SSP}-by-default
-#PIE_GLIBC_STABLE="x86 amd64 mips ppc ppc64 arm ia64"
-#PIE_UCLIBC_STABLE="x86 arm amd64 mips ppc ppc64"
-#SSP_STABLE="amd64 x86 mips ppc ppc64 arm"
-# uclibc need tls and nptl support for SSP support
-# uclibc need to be >= 0.9.33
-#SSP_UCLIBC_STABLE="x86 amd64 mips ppc ppc64 arm"
-#end Hardened stuff
-
 inherit toolchain
 
 KEYWORDS=""


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] proj/hardened-dev:master commit in: sys-devel/gcc/
@ 2016-05-05 20:04 Magnus Granberg
  0 siblings, 0 replies; 23+ messages in thread
From: Magnus Granberg @ 2016-05-05 20:04 UTC (permalink / raw
  To: gentoo-commits

commit:     8ddf8d8bd71a55d28d9eb41ea3b7b3562cdca3a3
Author:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
AuthorDate: Thu May  5 19:44:11 2016 +0000
Commit:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
CommitDate: Thu May  5 19:44:11 2016 +0000
URL:        https://gitweb.gentoo.org/proj/hardened-dev.git/commit/?id=8ddf8d8b

Update gcc 6.1.0 to use patchset 1.1

 sys-devel/gcc/gcc-6.1.0.ebuild | 4 ++--
 sys-devel/gcc/metadata.xml     | 4 +++-
 2 files changed, 5 insertions(+), 3 deletions(-)

diff --git a/sys-devel/gcc/gcc-6.1.0.ebuild b/sys-devel/gcc/gcc-6.1.0.ebuild
index 71a02c1..062641d 100644
--- a/sys-devel/gcc/gcc-6.1.0.ebuild
+++ b/sys-devel/gcc/gcc-6.1.0.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
 EAPI="4"
 
-PATCH_VER="1.0"
+PATCH_VER="1.1"
 #UCLIBC_VER="1.0"
 
 # Hardened gcc 4 stuff

diff --git a/sys-devel/gcc/metadata.xml b/sys-devel/gcc/metadata.xml
index 68aedfb..c86e01d 100644
--- a/sys-devel/gcc/metadata.xml
+++ b/sys-devel/gcc/metadata.xml
@@ -18,7 +18,9 @@
       code in the C library (DO NOT ENABLE THIS IF YOU DON'T KNOW WHAT IT DOES)</flag>
     <flag name="multislot">Allow for SLOTs to include minor version (3.3.4
       instead of just 3.3)</flag>
-    <flag name="ssp">Enable SSP support</flag>
+    <flag name="ssp">Build programs with Stack Smashing Protection as default</flag>
+    <flag name="pie">Build programs as Position Independent Executables as default</flag>
+    <flag name="pch">Enable precompiled header support for faster compilation at the expense of disk space and memory</flag>
     <flag name="objc">Build support for the Objective C code language</flag>
     <flag name="objc++">Build support for the Objective C++ language</flag>
     <flag name="objc-gc">Build support for the Objective C code language Garbage


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] proj/hardened-dev:master commit in: sys-devel/gcc/
@ 2016-05-04 19:24 Anthony G. Basile
  0 siblings, 0 replies; 23+ messages in thread
From: Anthony G. Basile @ 2016-05-04 19:24 UTC (permalink / raw
  To: gentoo-commits

commit:     714a916995c40e5289afda0d89bdef5d7d06b116
Author:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Wed May  4 19:24:57 2016 +0000
Commit:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Wed May  4 19:24:57 2016 +0000
URL:        https://gitweb.gentoo.org/proj/hardened-dev.git/commit/?id=714a9169

sys-devel/gcc: fix metadata.xml

Package-Manager: portage-2.2.26

 sys-devel/gcc/metadata.xml | 10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

diff --git a/sys-devel/gcc/metadata.xml b/sys-devel/gcc/metadata.xml
index 8374583..68aedfb 100644
--- a/sys-devel/gcc/metadata.xml
+++ b/sys-devel/gcc/metadata.xml
@@ -9,20 +9,16 @@
     <flag name="awt">Useful only when building GCJ, this enables Abstract Window Toolkit
       (AWT) peer support on top of GTK+</flag>
     <flag name="cilk">Support the Cilk Plus language (C/C++ based languages for parallel programming)</flag>
-    <flag name="d">Enable support for the D programming language</flag>
     <flag name="fixed-point">Enable fixed-point arithmetic support for MIPS targets 
       in gcc (Warning: significantly increases compile time!)</flag>
     <flag name="go">Build the GCC Go language frontend.</flag>
     <flag name="graphite">Add support for the framework for loop
       optimizations based on a polyhedral intermediate representation</flag>
-    <flag name="jit">Enable libgccjit so other applications can embed gcc for Just-In-Time compilation.
-      This will slow down the compiler a bit as it forces all of the toolchain to be shared libs.</flag>
     <flag name="libssp">Build SSP support into a dedicated library rather than use the
       code in the C library (DO NOT ENABLE THIS IF YOU DON'T KNOW WHAT IT DOES)</flag>
-    <flag name="mudflap">Add support for mudflap, a pointer use checking library</flag>
-    <flag name="multislot">Allow for multiple versions to be emerged at once for same CTARGET</flag>
-    <flag name="nopie">Disable PIE support (NOT FOR GENERAL USE)</flag>
-    <flag name="nossp">Disable SSP support (NOT FOR GENERAL USE)</flag>
+    <flag name="multislot">Allow for SLOTs to include minor version (3.3.4
+      instead of just 3.3)</flag>
+    <flag name="ssp">Enable SSP support</flag>
     <flag name="objc">Build support for the Objective C code language</flag>
     <flag name="objc++">Build support for the Objective C++ language</flag>
     <flag name="objc-gc">Build support for the Objective C code language Garbage


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] proj/hardened-dev:master commit in: sys-devel/gcc/
@ 2016-05-04 19:14 Magnus Granberg
  0 siblings, 0 replies; 23+ messages in thread
From: Magnus Granberg @ 2016-05-04 19:14 UTC (permalink / raw
  To: gentoo-commits

commit:     95b7df585d1d87bab034216504a7addc531fceca
Author:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
AuthorDate: Wed May  4 18:56:19 2016 +0000
Commit:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
CommitDate: Wed May  4 18:56:19 2016 +0000
URL:        https://gitweb.gentoo.org/proj/hardened-dev.git/commit/?id=95b7df58

Add Gcc 6.1.0

 sys-devel/gcc/{gcc-6.0.1_rc20160423.ebuild => gcc-6.1.0.ebuild} | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/sys-devel/gcc/gcc-6.0.1_rc20160423.ebuild b/sys-devel/gcc/gcc-6.1.0.ebuild
similarity index 91%
rename from sys-devel/gcc/gcc-6.0.1_rc20160423.ebuild
rename to sys-devel/gcc/gcc-6.1.0.ebuild
index aa41e69..71a02c1 100644
--- a/sys-devel/gcc/gcc-6.0.1_rc20160423.ebuild
+++ b/sys-devel/gcc/gcc-6.1.0.ebuild
@@ -22,7 +22,7 @@ PATCH_VER="1.0"
 
 inherit toolchain
 
-KEYWORDS="~amd64"
+KEYWORDS=""
 
 RDEPEND=""
 DEPEND="${RDEPEND}
@@ -34,7 +34,6 @@ if [[ ${CATEGORY} != cross-* ]] ; then
 fi
 
 src_prepare() {
-	is_crosscompile && EPATCH_EXCLUDE+=" 05_all_gcc-spec-env.patch"
 
 	toolchain_src_prepare
 }


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] proj/hardened-dev:master commit in: sys-devel/gcc/
@ 2013-08-11 16:14 Magnus Granberg
  0 siblings, 0 replies; 23+ messages in thread
From: Magnus Granberg @ 2013-08-11 16:14 UTC (permalink / raw
  To: gentoo-commits

commit:     136873d34405f4426f27012c5edea68c4f6ee2cf
Author:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 11 18:13:26 2013 +0000
Commit:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
CommitDate: Sun Aug 11 18:13:26 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/hardened-dev.git;a=commit;h=136873d3

Add -fstack-check as default

---
 sys-devel/gcc/ChangeLog                                 | 6 ++++++
 sys-devel/gcc/{gcc-4.8.1.ebuild => gcc-4.8.1-r1.ebuild} | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

diff --git a/sys-devel/gcc/ChangeLog b/sys-devel/gcc/ChangeLog
index 5a3e0f5..c427f3c 100644
--- a/sys-devel/gcc/ChangeLog
+++ b/sys-devel/gcc/ChangeLog
@@ -2,6 +2,12 @@
 # Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
 # $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/ChangeLog,v 1.952 2013/06/04 05:25:51 dirtyepic Exp $
 
+*gcc-4.8.1-r1 (11 jul 2013)
+
+  11 Jul 2013: Magnus Granberg <zorry@gentoo.org> +gcc-4.8.1-r1.ebuild,
+  -gcc-4.8.1.ebuild:
+  Add -fstack-check as default in spec
+
   26 Jul 2013: Magnus Granberg <zorry@gentoo.org> gcc-4.8.1.ebuild
   files/gcc48-spec-env.patch:
   New Env spec patch to support DRIVER_SELF_SPECS

diff --git a/sys-devel/gcc/gcc-4.8.1.ebuild b/sys-devel/gcc/gcc-4.8.1-r1.ebuild
similarity index 99%
rename from sys-devel/gcc/gcc-4.8.1.ebuild
rename to sys-devel/gcc/gcc-4.8.1-r1.ebuild
index 8e3ce83..50349ad 100644
--- a/sys-devel/gcc/gcc-4.8.1.ebuild
+++ b/sys-devel/gcc/gcc-4.8.1-r1.ebuild
@@ -6,7 +6,7 @@ PATCH_VER="1.0"
 UCLIBC_VER="1.0"
 
 # Hardened gcc 4 stuff
-PIE_VER="0.5.6"
+PIE_VER="0.5.7"
 SPECS_VER="0.2.0"
 SPECS_GCC_VER="4.4.3"
 # arch/libc configurations known to be stable with {PIE,SSP}-by-default


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] proj/hardened-dev:master commit in: sys-devel/gcc/
@ 2013-03-26  1:27 Magnus Granberg
  0 siblings, 0 replies; 23+ messages in thread
From: Magnus Granberg @ 2013-03-26  1:27 UTC (permalink / raw
  To: gentoo-commits

commit:     3b18cbb1c3856901d845b73d6a86a2f951746123
Author:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 26 01:26:57 2013 +0000
Commit:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
CommitDate: Tue Mar 26 01:26:57 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/hardened-dev.git;a=commit;h=3b18cbb1

bump of the gcc 4.8 piepatchset

---
 sys-devel/gcc/gcc-4.8.0.ebuild |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/sys-devel/gcc/gcc-4.8.0.ebuild b/sys-devel/gcc/gcc-4.8.0.ebuild
index 125b6dc..442d751 100644
--- a/sys-devel/gcc/gcc-4.8.0.ebuild
+++ b/sys-devel/gcc/gcc-4.8.0.ebuild
@@ -6,7 +6,7 @@ PATCH_VER="1.0"
 UCLIBC_VER="1.0"
 
 # Hardened gcc 4 stuff
-PIE_VER="0.5.9"
+PIE_VER="0.5.10"
 SPECS_VER="0.2.0"
 SPECS_GCC_VER="4.4.3"
 # arch/libc configurations known to be stable with {PIE,SSP}-by-default


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] proj/hardened-dev:master commit in: sys-devel/gcc/
@ 2013-03-23 22:52 Magnus Granberg
  0 siblings, 0 replies; 23+ messages in thread
From: Magnus Granberg @ 2013-03-23 22:52 UTC (permalink / raw
  To: gentoo-commits

commit:     e36b8fd34d91672994927aff203aca1c4e11cceb
Author:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 23 22:51:33 2013 +0000
Commit:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
CommitDate: Sat Mar 23 22:51:33 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/hardened-dev.git;a=commit;h=e36b8fd3

Gcc 4.8.0 in the overlay

---
 ...cc-4.8.0_rc20130316.ebuild => gcc-4.8.0.ebuild} |    0
 1 files changed, 0 insertions(+), 0 deletions(-)

diff --git a/sys-devel/gcc/gcc-4.8.0_rc20130316.ebuild b/sys-devel/gcc/gcc-4.8.0.ebuild
similarity index 100%
rename from sys-devel/gcc/gcc-4.8.0_rc20130316.ebuild
rename to sys-devel/gcc/gcc-4.8.0.ebuild


^ permalink raw reply	[flat|nested] 23+ messages in thread
* [gentoo-commits] proj/hardened-dev:master commit in: sys-devel/gcc/
@ 2013-03-17  0:14 Magnus Granberg
  0 siblings, 0 replies; 23+ messages in thread
From: Magnus Granberg @ 2013-03-17  0:14 UTC (permalink / raw
  To: gentoo-commits

commit:     4c8c3a63aa5e60e6b47cdd36ce50dc345def946b
Author:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 17 00:13:24 2013 +0000
Commit:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
CommitDate: Sun Mar 17 00:13:24 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/hardened-dev.git;a=commit;h=4c8c3a63

Fix Manifest for gcc 4.8

---
 sys-devel/gcc/gcc-4.8.0_rc20130316.ebuild |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/sys-devel/gcc/gcc-4.8.0_rc20130316.ebuild b/sys-devel/gcc/gcc-4.8.0_rc20130316.ebuild
index 98c17bc..125b6dc 100644
--- a/sys-devel/gcc/gcc-4.8.0_rc20130316.ebuild
+++ b/sys-devel/gcc/gcc-4.8.0_rc20130316.ebuild
@@ -6,7 +6,7 @@ PATCH_VER="1.0"
 UCLIBC_VER="1.0"
 
 # Hardened gcc 4 stuff
-PIE_VER="0.5.8"
+PIE_VER="0.5.9"
 SPECS_VER="0.2.0"
 SPECS_GCC_VER="4.4.3"
 # arch/libc configurations known to be stable with {PIE,SSP}-by-default


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] proj/hardened-dev:master commit in: sys-devel/gcc/
@ 2013-03-17  0:11 Magnus Granberg
  0 siblings, 0 replies; 23+ messages in thread
From: Magnus Granberg @ 2013-03-17  0:11 UTC (permalink / raw
  To: gentoo-commits

commit:     ba6179f9816f734e3234941dd5555731afe3288f
Author:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 17 00:10:08 2013 +0000
Commit:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
CommitDate: Sun Mar 17 00:10:08 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/hardened-dev.git;a=commit;h=ba6179f9

bump gcc 4.8 and piepatch

---
 ...20130303.ebuild => gcc-4.8.0_rc20130316.ebuild} |    0
 1 files changed, 0 insertions(+), 0 deletions(-)

diff --git a/sys-devel/gcc/gcc-4.8.0_alpha20130303.ebuild b/sys-devel/gcc/gcc-4.8.0_rc20130316.ebuild
similarity index 100%
rename from sys-devel/gcc/gcc-4.8.0_alpha20130303.ebuild
rename to sys-devel/gcc/gcc-4.8.0_rc20130316.ebuild


^ permalink raw reply	[flat|nested] 23+ messages in thread
* [gentoo-commits] proj/hardened-dev:master commit in: sys-devel/gcc/
@ 2013-03-12  1:43 Magnus Granberg
  0 siblings, 0 replies; 23+ messages in thread
From: Magnus Granberg @ 2013-03-12  1:43 UTC (permalink / raw
  To: gentoo-commits

commit:     d5d1f7fb1e7177b9526026ecfea0a78aa330efa5
Author:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 12 01:42:38 2013 +0000
Commit:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
CommitDate: Tue Mar 12 01:42:38 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/hardened-dev.git;a=commit;h=d5d1f7fb

Add uclibc patchset for 4.8

---
 sys-devel/gcc/gcc-4.8.0_alpha20130303.ebuild |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/sys-devel/gcc/gcc-4.8.0_alpha20130303.ebuild b/sys-devel/gcc/gcc-4.8.0_alpha20130303.ebuild
index b1f7bba..98c17bc 100644
--- a/sys-devel/gcc/gcc-4.8.0_alpha20130303.ebuild
+++ b/sys-devel/gcc/gcc-4.8.0_alpha20130303.ebuild
@@ -3,7 +3,7 @@
 # $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-4.7.2.ebuild,v 1.7 2012/11/24 21:22:30 vapier Exp $
 
 PATCH_VER="1.0"
-#UCLIBC_VER="1.0"
+UCLIBC_VER="1.0"
 
 # Hardened gcc 4 stuff
 PIE_VER="0.5.8"


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] proj/hardened-dev:master commit in: sys-devel/gcc/
@ 2013-03-11 23:01 Magnus Granberg
  0 siblings, 0 replies; 23+ messages in thread
From: Magnus Granberg @ 2013-03-11 23:01 UTC (permalink / raw
  To: gentoo-commits

commit:     312ba96abd48f257cf24a9c427b0fb3fd83b45f0
Author:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 11 23:00:58 2013 +0000
Commit:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
CommitDate: Mon Mar 11 23:00:58 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/hardened-dev.git;a=commit;h=312ba96a

Add mips to gcc-4.8

---
 sys-devel/gcc/gcc-4.8.0_alpha20130303.ebuild |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/sys-devel/gcc/gcc-4.8.0_alpha20130303.ebuild b/sys-devel/gcc/gcc-4.8.0_alpha20130303.ebuild
index a1e3f38..b1f7bba 100644
--- a/sys-devel/gcc/gcc-4.8.0_alpha20130303.ebuild
+++ b/sys-devel/gcc/gcc-4.8.0_alpha20130303.ebuild
@@ -10,12 +10,12 @@ PIE_VER="0.5.8"
 SPECS_VER="0.2.0"
 SPECS_GCC_VER="4.4.3"
 # arch/libc configurations known to be stable with {PIE,SSP}-by-default
-PIE_GLIBC_STABLE="x86 amd64 ppc ppc64 arm ia64"
-PIE_UCLIBC_STABLE="x86 arm amd64 ppc ppc64"
-SSP_STABLE="amd64 x86 ppc ppc64 arm"
+PIE_GLIBC_STABLE="x86 amd64 ppc ppc64 arm ia64 mips"
+PIE_UCLIBC_STABLE="x86 arm amd64 ppc ppc64 mips"
+SSP_STABLE="amd64 x86 ppc ppc64 arm mips"
 # uclibc need tls and nptl support for SSP support
 # uclibc need to be >= 0.9.33
-SSP_UCLIBC_STABLE="x86 amd64 ppc ppc64 arm"
+SSP_UCLIBC_STABLE="x86 amd64 ppc ppc64 arm mips"
 #end Hardened stuff
 
 inherit toolchain


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] proj/hardened-dev:master commit in: sys-devel/gcc/
@ 2013-03-10 22:21 Magnus Granberg
  0 siblings, 0 replies; 23+ messages in thread
From: Magnus Granberg @ 2013-03-10 22:21 UTC (permalink / raw
  To: gentoo-commits

commit:     0d68d861cd4c5d96f2a2041aaf0f2b75a721e3c9
Author:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 10 22:17:32 2013 +0000
Commit:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
CommitDate: Sun Mar 10 22:17:32 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/hardened-dev.git;a=commit;h=0d68d861

bump of gcc 4.8 and added mips support

---
 ...30217.ebuild => gcc-4.8.0_alpha20130303.ebuild} |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/sys-devel/gcc/gcc-4.8.0_alpha20130217.ebuild b/sys-devel/gcc/gcc-4.8.0_alpha20130303.ebuild
similarity index 99%
rename from sys-devel/gcc/gcc-4.8.0_alpha20130217.ebuild
rename to sys-devel/gcc/gcc-4.8.0_alpha20130303.ebuild
index 189c22e..a1e3f38 100644
--- a/sys-devel/gcc/gcc-4.8.0_alpha20130217.ebuild
+++ b/sys-devel/gcc/gcc-4.8.0_alpha20130303.ebuild
@@ -6,7 +6,7 @@ PATCH_VER="1.0"
 #UCLIBC_VER="1.0"
 
 # Hardened gcc 4 stuff
-PIE_VER="0.5.7"
+PIE_VER="0.5.8"
 SPECS_VER="0.2.0"
 SPECS_GCC_VER="4.4.3"
 # arch/libc configurations known to be stable with {PIE,SSP}-by-default


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] proj/hardened-dev:master commit in: sys-devel/gcc/
@ 2013-02-25 23:01 Magnus Granberg
  0 siblings, 0 replies; 23+ messages in thread
From: Magnus Granberg @ 2013-02-25 23:01 UTC (permalink / raw
  To: gentoo-commits

commit:     eb6224f1ebd0ec726341cbfc70efc2d210cd03db
Author:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 25 23:00:47 2013 +0000
Commit:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
CommitDate: Mon Feb 25 23:00:47 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/hardened-dev.git;a=commit;h=eb6224f1

remove old gcc 4.8 ebuild

---
 sys-devel/gcc/gcc-4.8.0_alpha20130210.ebuild |   64 --------------------------
 1 files changed, 0 insertions(+), 64 deletions(-)

diff --git a/sys-devel/gcc/gcc-4.8.0_alpha20130210.ebuild b/sys-devel/gcc/gcc-4.8.0_alpha20130210.ebuild
deleted file mode 100644
index 1e822de..0000000
--- a/sys-devel/gcc/gcc-4.8.0_alpha20130210.ebuild
+++ /dev/null
@@ -1,64 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-4.7.2.ebuild,v 1.7 2012/11/24 21:22:30 vapier Exp $
-
-PATCH_VER="1.0"
-#UCLIBC_VER="1.0"
-
-# Hardened gcc 4 stuff
-PIE_VER="0.5.6"
-SPECS_VER="0.2.0"
-SPECS_GCC_VER="4.4.3"
-# arch/libc configurations known to be stable with {PIE,SSP}-by-default
-PIE_GLIBC_STABLE="x86 amd64 ppc ppc64 arm ia64"
-PIE_UCLIBC_STABLE="x86 arm amd64 ppc ppc64"
-SSP_STABLE="amd64 x86 ppc ppc64 arm"
-# uclibc need tls and nptl support for SSP support
-# uclibc need to be >= 0.9.33
-SSP_UCLIBC_STABLE="x86 amd64 ppc ppc64 arm"
-#end Hardened stuff
-
-inherit toolchain
-
-DESCRIPTION="The GNU Compiler Collection"
-
-LICENSE="GPL-3 LGPL-3 || ( GPL-3 libgcc libstdc++ gcc-runtime-library-exception-3.1 ) FDL-1.2"
-
-KEYWORDS=""
-
-RDEPEND=""
-DEPEND="${RDEPEND}
-	elibc_glibc? ( >=sys-libs/glibc-2.8 )
-	>=${CATEGORY}/binutils-2.18"
-
-if [[ ${CATEGORY} != cross-* ]] ; then
-	PDEPEND="${PDEPEND} elibc_glibc? ( >=sys-libs/glibc-2.8 )"
-fi
-
-src_unpack() {
-	if has_version '<sys-libs/glibc-2.12' ; then
-		ewarn "Your host glibc is too old; disabling automatic fortify."
-		ewarn "Please rebuild gcc after upgrading to >=glibc-2.12 #362315"
-		EPATCH_EXCLUDE+=" 10_all_default-fortify-source.patch"
-	fi
-
-	# drop the x32 stuff once 4.7 goes stable
-	if [[ ${CTARGET} != x86_64* ]] || ! has x32 $(get_all_abis TARGET) ; then
-		EPATCH_EXCLUDE+=" 90_all_gcc-4.7-x32.patch"
-	fi
-
-	toolchain_src_unpack
-
-	use vanilla && return 0
-
-	[[ ${CHOST} == ${CTARGET} ]] && epatch "${FILESDIR}"/gcc-spec-env.patch
-}
-
-pkg_setup() {
-	toolchain_pkg_setup
-
-	ewarn
-	ewarn "LTO support is still experimental and unstable."
-	ewarn "Any bugs resulting from the use of LTO will not be fixed."
-	ewarn
-}


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] proj/hardened-dev:master commit in: sys-devel/gcc/
@ 2013-02-24 22:42 Magnus Granberg
  0 siblings, 0 replies; 23+ messages in thread
From: Magnus Granberg @ 2013-02-24 22:42 UTC (permalink / raw
  To: gentoo-commits

commit:     284a4ea816c8def5b17f1a1517bf12db2f6dc882
Author:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 24 22:41:58 2013 +0000
Commit:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
CommitDate: Sun Feb 24 22:41:58 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/hardened-dev.git;a=commit;h=284a4ea8

dump gcc and add support for arm

---
 sys-devel/gcc/gcc-4.8.0_alpha20130217.ebuild |   64 ++++++++++++++++++++++++++
 1 files changed, 64 insertions(+), 0 deletions(-)

diff --git a/sys-devel/gcc/gcc-4.8.0_alpha20130217.ebuild b/sys-devel/gcc/gcc-4.8.0_alpha20130217.ebuild
new file mode 100644
index 0000000..189c22e
--- /dev/null
+++ b/sys-devel/gcc/gcc-4.8.0_alpha20130217.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-4.7.2.ebuild,v 1.7 2012/11/24 21:22:30 vapier Exp $
+
+PATCH_VER="1.0"
+#UCLIBC_VER="1.0"
+
+# Hardened gcc 4 stuff
+PIE_VER="0.5.7"
+SPECS_VER="0.2.0"
+SPECS_GCC_VER="4.4.3"
+# arch/libc configurations known to be stable with {PIE,SSP}-by-default
+PIE_GLIBC_STABLE="x86 amd64 ppc ppc64 arm ia64"
+PIE_UCLIBC_STABLE="x86 arm amd64 ppc ppc64"
+SSP_STABLE="amd64 x86 ppc ppc64 arm"
+# uclibc need tls and nptl support for SSP support
+# uclibc need to be >= 0.9.33
+SSP_UCLIBC_STABLE="x86 amd64 ppc ppc64 arm"
+#end Hardened stuff
+
+inherit toolchain
+
+DESCRIPTION="The GNU Compiler Collection"
+
+LICENSE="GPL-3 LGPL-3 || ( GPL-3 libgcc libstdc++ gcc-runtime-library-exception-3.1 ) FDL-1.2"
+
+KEYWORDS=""
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+	elibc_glibc? ( >=sys-libs/glibc-2.8 )
+	>=${CATEGORY}/binutils-2.18"
+
+if [[ ${CATEGORY} != cross-* ]] ; then
+	PDEPEND="${PDEPEND} elibc_glibc? ( >=sys-libs/glibc-2.8 )"
+fi
+
+src_unpack() {
+	if has_version '<sys-libs/glibc-2.12' ; then
+		ewarn "Your host glibc is too old; disabling automatic fortify."
+		ewarn "Please rebuild gcc after upgrading to >=glibc-2.12 #362315"
+		EPATCH_EXCLUDE+=" 10_all_default-fortify-source.patch"
+	fi
+
+	# drop the x32 stuff once 4.7 goes stable
+	if [[ ${CTARGET} != x86_64* ]] || ! has x32 $(get_all_abis TARGET) ; then
+		EPATCH_EXCLUDE+=" 90_all_gcc-4.7-x32.patch"
+	fi
+
+	toolchain_src_unpack
+
+	use vanilla && return 0
+
+	[[ ${CHOST} == ${CTARGET} ]] && epatch "${FILESDIR}"/gcc-spec-env.patch
+}
+
+pkg_setup() {
+	toolchain_pkg_setup
+
+	ewarn
+	ewarn "LTO support is still experimental and unstable."
+	ewarn "Any bugs resulting from the use of LTO will not be fixed."
+	ewarn
+}


^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] proj/hardened-dev:master commit in: sys-devel/gcc/
@ 2012-04-17 17:46 Magnus Granberg
  0 siblings, 0 replies; 23+ messages in thread
From: Magnus Granberg @ 2012-04-17 17:46 UTC (permalink / raw
  To: gentoo-commits

commit:     abb051b360d8d82f26e314694e67b895ed0f1299
Author:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 17 17:46:20 2012 +0000
Commit:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
CommitDate: Tue Apr 17 17:46:20 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/hardened-dev.git;a=commit;h=abb051b3

Updated gcc-4.6.3 with new piepatchset 0.5.2

---
 sys-devel/gcc/gcc-4.6.3.ebuild |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/sys-devel/gcc/gcc-4.6.3.ebuild b/sys-devel/gcc/gcc-4.6.3.ebuild
index d569e11..3278fd4 100644
--- a/sys-devel/gcc/gcc-4.6.3.ebuild
+++ b/sys-devel/gcc/gcc-4.6.3.ebuild
@@ -6,7 +6,7 @@ PATCH_VER="1.1"
 UCLIBC_VER="1.0"
 
 # Hardened gcc 4 stuff
-PIE_VER="0.5.1"
+PIE_VER="0.5.2"
 SPECS_VER="0.2.0"
 SPECS_GCC_VER="4.4.3"
 # arch/libc configurations known to be stable with {PIE,SSP}-by-default



^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] proj/hardened-dev:master commit in: sys-devel/gcc/
@ 2012-04-06 19:39 Magnus Granberg
  0 siblings, 0 replies; 23+ messages in thread
From: Magnus Granberg @ 2012-04-06 19:39 UTC (permalink / raw
  To: gentoo-commits

commit:     c104a5cc32ffdd07592093b1545adc55980e8e62
Author:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
AuthorDate: Fri Apr  6 19:39:37 2012 +0000
Commit:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
CommitDate: Fri Apr  6 19:39:37 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/hardened-dev.git;a=commit;h=c104a5cc

New version of gcc

---
 sys-devel/gcc/gcc-4.6.3.ebuild                     |    2 +-
 ...4.7.0_alpha20120121.ebuild => gcc-4.7.0.ebuild} |    9 +++++----
 2 files changed, 6 insertions(+), 5 deletions(-)

diff --git a/sys-devel/gcc/gcc-4.6.3.ebuild b/sys-devel/gcc/gcc-4.6.3.ebuild
index 54bb333..d569e11 100644
--- a/sys-devel/gcc/gcc-4.6.3.ebuild
+++ b/sys-devel/gcc/gcc-4.6.3.ebuild
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-4.6.2.ebuild,v 1.9 2012/03/15 20:21:44 vapier Exp $
 
-PATCH_VER="1.0"
+PATCH_VER="1.1"
 UCLIBC_VER="1.0"
 
 # Hardened gcc 4 stuff

diff --git a/sys-devel/gcc/gcc-4.7.0_alpha20120121.ebuild b/sys-devel/gcc/gcc-4.7.0.ebuild
similarity index 92%
rename from sys-devel/gcc/gcc-4.7.0_alpha20120121.ebuild
rename to sys-devel/gcc/gcc-4.7.0.ebuild
index 33cfbc6..00d3b77 100644
--- a/sys-devel/gcc/gcc-4.7.0_alpha20120121.ebuild
+++ b/sys-devel/gcc/gcc-4.7.0.ebuild
@@ -2,11 +2,11 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-4.7.0.ebuild,v 1.0 2012/01/17 19:02:25 zorry Exp $
 
-PATCH_VER="1.0"
-#UCLIBC_VER="1.0"
+PATCH_VER="1.1"
+UCLIBC_VER="1.0"
 
 # Hardened gcc 4 stuff
-PIE_VER="0.5.2"
+PIE_VER="0.5.3"
 SPECS_VER="0.2.0"
 SPECS_GCC_VER="4.4.3"
 # arch/libc configurations known to be stable with {PIE,SSP}-by-default
@@ -14,7 +14,8 @@ PIE_GLIBC_STABLE="x86 amd64 ppc ppc64 arm ia64"
 PIE_UCLIBC_STABLE="x86 arm amd64 ppc ppc64"
 SSP_STABLE="amd64 x86 ppc ppc64 arm"
 # uclibc need tls and nptl support for SSP support
-SSP_UCLIBC_STABLE=""
+# uclibc 0.9.32 or newer.
+SSP_UCLIBC_STABLE="x86 amd64 ppc pcc64"
 #end Hardened stuff
 
 inherit toolchain



^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] proj/hardened-dev:master commit in: sys-devel/gcc/
@ 2012-04-05 23:40 Magnus Granberg
  0 siblings, 0 replies; 23+ messages in thread
From: Magnus Granberg @ 2012-04-05 23:40 UTC (permalink / raw
  To: gentoo-commits

commit:     af41b850d0408ef9cd25b1a8b56175b8a704d708
Author:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
AuthorDate: Thu Apr  5 23:39:53 2012 +0000
Commit:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
CommitDate: Thu Apr  5 23:39:53 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/hardened-dev.git;a=commit;h=af41b850

Added gcc-4.6.3 for testing of the piepatch

---
 sys-devel/gcc/gcc-4.6.3.ebuild |   64 ++++++++++++++++++++++++++++++++++++++++
 1 files changed, 64 insertions(+), 0 deletions(-)

diff --git a/sys-devel/gcc/gcc-4.6.3.ebuild b/sys-devel/gcc/gcc-4.6.3.ebuild
new file mode 100644
index 0000000..54bb333
--- /dev/null
+++ b/sys-devel/gcc/gcc-4.6.3.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-4.6.2.ebuild,v 1.9 2012/03/15 20:21:44 vapier Exp $
+
+PATCH_VER="1.0"
+UCLIBC_VER="1.0"
+
+# Hardened gcc 4 stuff
+PIE_VER="0.5.1"
+SPECS_VER="0.2.0"
+SPECS_GCC_VER="4.4.3"
+# arch/libc configurations known to be stable with {PIE,SSP}-by-default
+PIE_GLIBC_STABLE="x86 amd64 ppc ppc64 arm ia64"
+PIE_UCLIBC_STABLE="x86 arm amd64 ppc ppc64"
+SSP_STABLE="amd64 x86 ppc ppc64 arm"
+# uclibc need tls and nptl support for SSP support
+# uclibc >= 0.9.32
+SSP_UCLIBC_STABLE="amd64 x86"
+#end Hardened stuff
+
+inherit toolchain
+
+DESCRIPTION="The GNU Compiler Collection"
+
+LICENSE="GPL-3 LGPL-3 || ( GPL-3 libgcc libstdc++ gcc-runtime-library-exception-3.1 ) FDL-1.2"
+KEYWORDS=""
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+	elibc_glibc? ( >=sys-libs/glibc-2.8 )
+	amd64? ( multilib? ( gcj? ( app-emulation/emul-linux-x86-xlibs ) ) )
+	>=${CATEGORY}/binutils-2.18"
+
+if [[ ${CATEGORY} != cross-* ]] ; then
+	PDEPEND="${PDEPEND} elibc_glibc? ( >=sys-libs/glibc-2.8 )"
+fi
+
+src_unpack() {
+	if has_version '<sys-libs/glibc-2.12' ; then
+		ewarn "Your host glibc is too old; disabling automatic fortify."
+		ewarn "Please rebuild gcc after upgrading to >=glibc-2.12 #362315"
+		EPATCH_EXCLUDE+=" 10_all_default-fortify-source.patch"
+	fi
+
+	# drop the x32 stuff once 4.7 goes stable
+	case ${CHOST} in
+	x86_64*) has x32 $(get_all_abis) || EPATCH_EXCLUDE+=" 80_all_gcc-4.6-x32.patch" ;;
+	esac
+
+	toolchain_src_unpack
+
+	use vanilla && return 0
+
+	[[ ${CHOST} == ${CTARGET} ]] && epatch "${FILESDIR}"/gcc-spec-env.patch
+}
+
+pkg_setup() {
+	toolchain_pkg_setup
+
+	ewarn
+	ewarn "LTO support is still experimental and unstable."
+	ewarn "Any bugs resulting from the use of LTO will not be fixed."
+	ewarn
+}



^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] proj/hardened-dev:master commit in: sys-devel/gcc/
@ 2012-01-24 20:26 Magnus Granberg
  0 siblings, 0 replies; 23+ messages in thread
From: Magnus Granberg @ 2012-01-24 20:26 UTC (permalink / raw
  To: gentoo-commits

commit:     1582748f5fd9e295fb63ec8d5e755b3f0dc04b87
Author:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 24 20:25:20 2012 +0000
Commit:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
CommitDate: Tue Jan 24 20:25:20 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/hardened-dev.git;a=commit;h=1582748f

sys-devel/gcc/gcc-4.7.0 20120121 hardened

---
 ...20114.ebuild => gcc-4.7.0_alpha20120121.ebuild} |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/sys-devel/gcc/gcc-4.7.0_alpha20120114.ebuild b/sys-devel/gcc/gcc-4.7.0_alpha20120121.ebuild
similarity index 98%
rename from sys-devel/gcc/gcc-4.7.0_alpha20120114.ebuild
rename to sys-devel/gcc/gcc-4.7.0_alpha20120121.ebuild
index 147e186..33cfbc6 100644
--- a/sys-devel/gcc/gcc-4.7.0_alpha20120114.ebuild
+++ b/sys-devel/gcc/gcc-4.7.0_alpha20120121.ebuild
@@ -6,7 +6,7 @@ PATCH_VER="1.0"
 #UCLIBC_VER="1.0"
 
 # Hardened gcc 4 stuff
-PIE_VER="0.5.1"
+PIE_VER="0.5.2"
 SPECS_VER="0.2.0"
 SPECS_GCC_VER="4.4.3"
 # arch/libc configurations known to be stable with {PIE,SSP}-by-default



^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] proj/hardened-dev:master commit in: sys-devel/gcc/
@ 2012-01-17 18:09 Magnus Granberg
  0 siblings, 0 replies; 23+ messages in thread
From: Magnus Granberg @ 2012-01-17 18:09 UTC (permalink / raw
  To: gentoo-commits

commit:     d3c28238c4d9bf09bb2c14fbe6ddf83d1c2935b4
Author:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 17 18:09:40 2012 +0000
Commit:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
CommitDate: Tue Jan 17 18:09:40 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/hardened-dev.git;a=commit;h=d3c28238

remove old gcc ebuild

---
 sys-devel/gcc/gcc-4.6.0.ebuild |   96 ----------------------------------------
 1 files changed, 0 insertions(+), 96 deletions(-)

diff --git a/sys-devel/gcc/gcc-4.6.0.ebuild b/sys-devel/gcc/gcc-4.6.0.ebuild
deleted file mode 100644
index fc5714f..0000000
--- a/sys-devel/gcc/gcc-4.6.0.ebuild
+++ /dev/null
@@ -1,96 +0,0 @@
-# Copyright 1999-2010 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-4.5.1-r1.ebuild,v 1.2 2010/11/29 20:40:15 dirtyepic Exp $
-
-PATCH_VER="0.9.2"
-#UCLIBC_VER="1.0"
-
-ETYPE="gcc-compiler"
-
-# Hardened gcc 4 stuff
-PIE_VER="0.4.8"
-SPECS_VER="0.2.0"
-SPECS_GCC_VER="4.4.3"
-# arch/libc configurations known to be stable with {PIE,SSP}-by-default
-PIE_GLIBC_STABLE="amd64 x86 ppc ppc64 arm ia64"
-PIE_UCLIBC_STABLE="x86 arm amd64 ppc ppc64"
-SSP_STABLE="amd64 x86 ppc ppc64 arm"
-# uclibc need tls and nptl support for SSP support
-SSP_UCLIBC_STABLE=""
-#end Hardened stuff
-
-inherit toolchain
-
-DESCRIPTION="The GNU Compiler Collection"
-
-LICENSE="GPL-3 LGPL-3 || ( GPL-3 libgcc libstdc++ gcc-runtime-library-exception-3.1 ) FDL-1.2"
-KEYWORDS=""
-IUSE="lto"
-
-RDEPEND=">=sys-libs/zlib-1.1.4
-	>=sys-devel/gcc-config-1.4
-	virtual/libiconv
-	>=dev-libs/gmp-4.3.2
-	>=dev-libs/mpfr-2.4.2
-	>=dev-libs/mpc-0.8.1
-	graphite? (
-		>=dev-libs/ppl-0.10
-		>=dev-libs/cloog-ppl-0.15.8
-	)
-	lto? ( >=dev-libs/elfutils-0.143 )
-	!build? (
-		gcj? (
-			gtk? (
-				x11-libs/libXt
-				x11-libs/libX11
-				x11-libs/libXtst
-				x11-proto/xproto
-				x11-proto/xextproto
-				>=x11-libs/gtk+-2.2
-				x11-libs/pango
-			)
-			>=media-libs/libart_lgpl-2.1
-			app-arch/zip
-			app-arch/unzip
-		)
-		>=sys-libs/ncurses-5.2-r2
-		nls? ( sys-devel/gettext )
-	)"
-DEPEND="${RDEPEND}
-	test? ( >=dev-util/dejagnu-1.4.4 >=sys-devel/autogen-5.5.4 )
-	>=sys-apps/texinfo-4.8
-	>=sys-devel/bison-1.875
-	elibc_glibc? ( >=sys-libs/glibc-2.8 )
-	amd64? ( multilib? ( gcj? ( app-emulation/emul-linux-x86-xlibs ) ) )
-	ppc? ( >=${CATEGORY}/binutils-2.17 )
-	ppc64? ( >=${CATEGORY}/binutils-2.17 )
-	>=${CATEGORY}/binutils-2.15.94"
-PDEPEND=">=sys-devel/gcc-config-1.4"
-if [[ ${CATEGORY} != cross-* ]] ; then
-	PDEPEND="${PDEPEND} elibc_glibc? ( >=sys-libs/glibc-2.8 )"
-fi
-
-src_unpack() {
-	ewarn "This is experimental and should not be installd."
-	ewarn "Don't fill any bugsreports for it is not supported."
-	gcc_src_unpack
-
-	use vanilla && return 0
-
-	sed -i 's/use_fixproto=yes/:/' gcc/config.gcc #PR33200
-
-	[[ ${CHOST} == ${CTARGET} ]] && epatch "${FILESDIR}"/gcc-spec-env.patch
-
-	[[ ${CTARGET} == *-softfloat-* ]] && epatch "${FILESDIR}"/4.4.0/gcc-4.4.0-softfloat.patch
-}
-
-pkg_setup() {
-	gcc_pkg_setup
-
-	if use lto ; then
-		ewarn
-		ewarn "LTO support is still experimental and unstable."
-		ewarn "Any bugs resulting from the use of LTO will not be fixed."
-		ewarn
-	fi
-}



^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] proj/hardened-dev:master commit in: sys-devel/gcc/
@ 2011-03-26 16:23 Magnus Granberg
  0 siblings, 0 replies; 23+ messages in thread
From: Magnus Granberg @ 2011-03-26 16:23 UTC (permalink / raw
  To: gentoo-commits

commit:     14ff8b78d0a7ec4fc29c1588b5610a9c6d736167
Author:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 26 16:18:49 2011 +0000
Commit:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
CommitDate: Sat Mar 26 16:18:49 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/hardened-dev.git;a=commit;h=14ff8b78

added the gcc-4.6.0 ebuild

---
 ...4.6.0_alpha20110226.ebuild => gcc-4.6.0.ebuild} |    6 +-----
 1 files changed, 1 insertions(+), 5 deletions(-)

diff --git a/sys-devel/gcc/gcc-4.6.0_alpha20110226.ebuild b/sys-devel/gcc/gcc-4.6.0.ebuild
similarity index 88%
rename from sys-devel/gcc/gcc-4.6.0_alpha20110226.ebuild
rename to sys-devel/gcc/gcc-4.6.0.ebuild
index d0f9da8..fc5714f 100644
--- a/sys-devel/gcc/gcc-4.6.0_alpha20110226.ebuild
+++ b/sys-devel/gcc/gcc-4.6.0.ebuild
@@ -8,7 +8,7 @@ PATCH_VER="0.9.2"
 ETYPE="gcc-compiler"
 
 # Hardened gcc 4 stuff
-PIE_VER="0.4.7"
+PIE_VER="0.4.8"
 SPECS_VER="0.2.0"
 SPECS_GCC_VER="4.4.3"
 # arch/libc configurations known to be stable with {PIE,SSP}-by-default
@@ -85,10 +85,6 @@ src_unpack() {
 }
 
 pkg_setup() {
-	if [[ -z ${I_PROMISE_TO_SUPPLY_PATCHES_WITH_BUGS} ]] ; then
-		die "Please \`export I_PROMISE_TO_SUPPLY_PATCHES_WITH_BUGS=1\` or define it in your make.conf if you want to 
-		use this ebuild.  This is to try and cut down on people filing bugs for a compiler we do not currently support."
-	fi
 	gcc_pkg_setup
 
 	if use lto ; then



^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] proj/hardened-dev:master commit in: sys-devel/gcc/
@ 2011-03-07 13:52 Magnus Granberg
  0 siblings, 0 replies; 23+ messages in thread
From: Magnus Granberg @ 2011-03-07 13:52 UTC (permalink / raw
  To: gentoo-commits

commit:     06a332365f7a80d140193370dffdbb3ddd664abd
Author:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
AuthorDate: Mon Mar  7 13:51:36 2011 +0000
Commit:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
CommitDate: Mon Mar  7 13:51:36 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/hardened-dev.git;a=commit;h=06a33236

sorry did forget to remove the old gcc-4.6 ebuild

---
 sys-devel/gcc/gcc-4.6.0_alpha20110101-r1.ebuild |  100 -----------------------
 1 files changed, 0 insertions(+), 100 deletions(-)

diff --git a/sys-devel/gcc/gcc-4.6.0_alpha20110101-r1.ebuild b/sys-devel/gcc/gcc-4.6.0_alpha20110101-r1.ebuild
deleted file mode 100644
index 319c90e..0000000
--- a/sys-devel/gcc/gcc-4.6.0_alpha20110101-r1.ebuild
+++ /dev/null
@@ -1,100 +0,0 @@
-# Copyright 1999-2010 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-4.5.1-r1.ebuild,v 1.2 2010/11/29 20:40:15 dirtyepic Exp $
-
-PATCH_VER="0.9.1"
-#UCLIBC_VER="1.0"
-
-ETYPE="gcc-compiler"
-
-# Hardened gcc 4 stuff
-PIE_VER="0.4.6"
-SPECS_VER="0.2.0"
-SPECS_GCC_VER="4.4.3"
-# arch/libc configurations known to be stable with {PIE,SSP}-by-default
-PIE_GLIBC_STABLE="amd64 x86 ppc ppc64 arm ia64"
-PIE_UCLIBC_STABLE="x86 arm amd64 ppc ppc64"
-SSP_STABLE="amd64 x86 ppc ppc64 arm"
-# uclibc need tls and nptl support for SSP support
-SSP_UCLIBC_STABLE=""
-#end Hardened stuff
-
-inherit toolchain
-
-DESCRIPTION="The GNU Compiler Collection"
-
-LICENSE="GPL-3 LGPL-3 || ( GPL-3 libgcc libstdc++ gcc-runtime-library-exception-3.1 ) FDL-1.2"
-KEYWORDS=""
-IUSE=""
-
-RDEPEND=">=sys-libs/zlib-1.1.4
-	>=sys-devel/gcc-config-1.4
-	virtual/libiconv
-	>=dev-libs/gmp-4.3.2
-	>=dev-libs/mpfr-2.4.2
-	>=dev-libs/mpc-0.8.1
-	graphite? (
-		>=dev-libs/ppl-0.10
-		>=dev-libs/cloog-ppl-0.15.8
-	)
-	lto? ( >=dev-libs/elfutils-0.143 )
-	!build? (
-		gcj? (
-			gtk? (
-				x11-libs/libXt
-				x11-libs/libX11
-				x11-libs/libXtst
-				x11-proto/xproto
-				x11-proto/xextproto
-				>=x11-libs/gtk+-2.2
-				x11-libs/pango
-			)
-			>=media-libs/libart_lgpl-2.1
-			app-arch/zip
-			app-arch/unzip
-		)
-		>=sys-libs/ncurses-5.2-r2
-		nls? ( sys-devel/gettext )
-	)"
-DEPEND="${RDEPEND}
-	test? ( >=dev-util/dejagnu-1.4.4 >=sys-devel/autogen-5.5.4 )
-	>=sys-apps/texinfo-4.8
-	>=sys-devel/bison-1.875
-	elibc_glibc? ( >=sys-libs/glibc-2.8 )
-	amd64? ( multilib? ( gcj? ( app-emulation/emul-linux-x86-xlibs ) ) )
-	ppc? ( >=${CATEGORY}/binutils-2.17 )
-	ppc64? ( >=${CATEGORY}/binutils-2.17 )
-	>=${CATEGORY}/binutils-2.15.94"
-PDEPEND=">=sys-devel/gcc-config-1.4"
-if [[ ${CATEGORY} != cross-* ]] ; then
-	PDEPEND="${PDEPEND} elibc_glibc? ( >=sys-libs/glibc-2.8 )"
-fi
-
-src_unpack() {
-	ewarn "This is experimental and should not be installd."
-	ewarn "Don't fill any bugsreports for it is not supported."
-	gcc_src_unpack
-
-	use vanilla && return 0
-
-	sed -i 's/use_fixproto=yes/:/' gcc/config.gcc #PR33200
-
-	[[ ${CHOST} == ${CTARGET} ]] && epatch "${FILESDIR}"/gcc-spec-env.patch
-
-	[[ ${CTARGET} == *-softfloat-* ]] && epatch "${FILESDIR}"/4.4.0/gcc-4.4.0-softfloat.patch
-}
-
-pkg_setup() {
-	if [[ -z ${I_PROMISE_TO_SUPPLY_PATCHES_WITH_BUGS} ]] ; then
-		die "Please \`export I_PROMISE_TO_SUPPLY_PATCHES_WITH_BUGS=1\` or define it in your make.conf if you want to 
-		use this ebuild.  This is to try and cut down on people filing bugs for a compiler we do not currently support."
-	fi
-	gcc_pkg_setup
-
-	if use lto ; then
-		ewarn
-		ewarn "LTO support is still experimental and unstable."
-		ewarn "Any bugs resulting from the use of LTO will not be fixed."
-		ewarn
-	fi
-}



^ permalink raw reply related	[flat|nested] 23+ messages in thread
* [gentoo-commits] proj/hardened-dev:master commit in: sys-devel/gcc/
@ 2011-03-06  0:15 Magnus Granberg
  0 siblings, 0 replies; 23+ messages in thread
From: Magnus Granberg @ 2011-03-06  0:15 UTC (permalink / raw
  To: gentoo-commits

commit:     cf6f811f71bda8c6bbf489b166c11b0c553b4a1d
Author:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
AuthorDate: Sun Mar  6 00:14:34 2011 +0000
Commit:     Magnus Granberg <zorry <AT> gentoo <DOT> org>
CommitDate: Sun Mar  6 00:14:34 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/hardened-dev.git;a=commit;h=cf6f811f

updated the gcc 4.6 snapshot to 20110226

---
 sys-devel/gcc/gcc-4.6.0_alpha20110226.ebuild |  100 ++++++++++++++++++++++++++
 1 files changed, 100 insertions(+), 0 deletions(-)

diff --git a/sys-devel/gcc/gcc-4.6.0_alpha20110226.ebuild b/sys-devel/gcc/gcc-4.6.0_alpha20110226.ebuild
new file mode 100644
index 0000000..d0f9da8
--- /dev/null
+++ b/sys-devel/gcc/gcc-4.6.0_alpha20110226.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-devel/gcc/gcc-4.5.1-r1.ebuild,v 1.2 2010/11/29 20:40:15 dirtyepic Exp $
+
+PATCH_VER="0.9.2"
+#UCLIBC_VER="1.0"
+
+ETYPE="gcc-compiler"
+
+# Hardened gcc 4 stuff
+PIE_VER="0.4.7"
+SPECS_VER="0.2.0"
+SPECS_GCC_VER="4.4.3"
+# arch/libc configurations known to be stable with {PIE,SSP}-by-default
+PIE_GLIBC_STABLE="amd64 x86 ppc ppc64 arm ia64"
+PIE_UCLIBC_STABLE="x86 arm amd64 ppc ppc64"
+SSP_STABLE="amd64 x86 ppc ppc64 arm"
+# uclibc need tls and nptl support for SSP support
+SSP_UCLIBC_STABLE=""
+#end Hardened stuff
+
+inherit toolchain
+
+DESCRIPTION="The GNU Compiler Collection"
+
+LICENSE="GPL-3 LGPL-3 || ( GPL-3 libgcc libstdc++ gcc-runtime-library-exception-3.1 ) FDL-1.2"
+KEYWORDS=""
+IUSE="lto"
+
+RDEPEND=">=sys-libs/zlib-1.1.4
+	>=sys-devel/gcc-config-1.4
+	virtual/libiconv
+	>=dev-libs/gmp-4.3.2
+	>=dev-libs/mpfr-2.4.2
+	>=dev-libs/mpc-0.8.1
+	graphite? (
+		>=dev-libs/ppl-0.10
+		>=dev-libs/cloog-ppl-0.15.8
+	)
+	lto? ( >=dev-libs/elfutils-0.143 )
+	!build? (
+		gcj? (
+			gtk? (
+				x11-libs/libXt
+				x11-libs/libX11
+				x11-libs/libXtst
+				x11-proto/xproto
+				x11-proto/xextproto
+				>=x11-libs/gtk+-2.2
+				x11-libs/pango
+			)
+			>=media-libs/libart_lgpl-2.1
+			app-arch/zip
+			app-arch/unzip
+		)
+		>=sys-libs/ncurses-5.2-r2
+		nls? ( sys-devel/gettext )
+	)"
+DEPEND="${RDEPEND}
+	test? ( >=dev-util/dejagnu-1.4.4 >=sys-devel/autogen-5.5.4 )
+	>=sys-apps/texinfo-4.8
+	>=sys-devel/bison-1.875
+	elibc_glibc? ( >=sys-libs/glibc-2.8 )
+	amd64? ( multilib? ( gcj? ( app-emulation/emul-linux-x86-xlibs ) ) )
+	ppc? ( >=${CATEGORY}/binutils-2.17 )
+	ppc64? ( >=${CATEGORY}/binutils-2.17 )
+	>=${CATEGORY}/binutils-2.15.94"
+PDEPEND=">=sys-devel/gcc-config-1.4"
+if [[ ${CATEGORY} != cross-* ]] ; then
+	PDEPEND="${PDEPEND} elibc_glibc? ( >=sys-libs/glibc-2.8 )"
+fi
+
+src_unpack() {
+	ewarn "This is experimental and should not be installd."
+	ewarn "Don't fill any bugsreports for it is not supported."
+	gcc_src_unpack
+
+	use vanilla && return 0
+
+	sed -i 's/use_fixproto=yes/:/' gcc/config.gcc #PR33200
+
+	[[ ${CHOST} == ${CTARGET} ]] && epatch "${FILESDIR}"/gcc-spec-env.patch
+
+	[[ ${CTARGET} == *-softfloat-* ]] && epatch "${FILESDIR}"/4.4.0/gcc-4.4.0-softfloat.patch
+}
+
+pkg_setup() {
+	if [[ -z ${I_PROMISE_TO_SUPPLY_PATCHES_WITH_BUGS} ]] ; then
+		die "Please \`export I_PROMISE_TO_SUPPLY_PATCHES_WITH_BUGS=1\` or define it in your make.conf if you want to 
+		use this ebuild.  This is to try and cut down on people filing bugs for a compiler we do not currently support."
+	fi
+	gcc_pkg_setup
+
+	if use lto ; then
+		ewarn
+		ewarn "LTO support is still experimental and unstable."
+		ewarn "Any bugs resulting from the use of LTO will not be fixed."
+		ewarn
+	fi
+}



^ permalink raw reply related	[flat|nested] 23+ messages in thread

end of thread, other threads:[~2016-08-24 14:32 UTC | newest]

Thread overview: 23+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2012-01-17 18:05 [gentoo-commits] proj/hardened-dev:master commit in: sys-devel/gcc/ Magnus Granberg
  -- strict thread matches above, loose matches on Subject: below --
2016-08-24 14:32 Magnus Granberg
2016-05-05 20:04 Magnus Granberg
2016-05-04 19:24 Anthony G. Basile
2016-05-04 19:14 Magnus Granberg
2013-08-11 16:14 Magnus Granberg
2013-03-26  1:27 Magnus Granberg
2013-03-23 22:52 Magnus Granberg
2013-03-17  0:14 Magnus Granberg
2013-03-17  0:11 Magnus Granberg
2013-03-12  1:43 Magnus Granberg
2013-03-11 23:01 Magnus Granberg
2013-03-10 22:21 Magnus Granberg
2013-02-25 23:01 Magnus Granberg
2013-02-24 22:42 Magnus Granberg
2012-04-17 17:46 Magnus Granberg
2012-04-06 19:39 Magnus Granberg
2012-04-05 23:40 Magnus Granberg
2012-01-24 20:26 Magnus Granberg
2012-01-17 18:09 Magnus Granberg
2011-03-26 16:23 Magnus Granberg
2011-03-07 13:52 Magnus Granberg
2011-03-06  0:15 Magnus Granberg

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox